
-- DROP TABLE tl_company;




CREATE TABLE tl_company (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    company_name varchar2(100) NOT NULL,
    company_logo blob NULL,
    hiring_team_type varchar2(200) NULL,
    industry varchar2(200) NULL,
    time_zone varchar2(200) NULL,
    is_verified char(1) NULL,
    state varchar2(200) NULL,
    country varchar2(200) NULL,
    post_code varchar2(10) NULL,
    city varchar2(100) NULL,
    has_client_support char(1) NULL,
    stripe_reference varchar2(100) NULL,
    stripe_subscription varchar2(100) NULL,
    name_on_card varchar2(100) NULL,
    card_post_code varchar2(10) NULL,
    card_id varchar2(100) NULL,
    added_by_user_id number(12)  NOT NULL,
    payment_plan_id number(12)  NULL
    );



ALTER TABLE tl_company ADD    
    CONSTRAINT PK_tl_company PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    